Bug 531 - missing xfree86.lst
Summary: missing xfree86.lst
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/xkbcomp (show other bugs)
Version: 6.7.0
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Alan Coopersmith
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-22 01:29 UTC by Grzegorz Dąbrowski
Modified: 2004-05-28 19:35 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Grzegorz Dąbrowski 2004-04-22 01:29:14 UTC
command: "setxkbmap pl" doesn't work because file xfree86.lst does not exist

here is a patch:

diff -urN xc.orig/programs/xkbcomp/rules/Imakefile
xc/programs/xkbcomp/rules/Imakefile
--- xc.orig/programs/xkbcomp/rules/Imakefile	2004-04-21 16:33:54.364966704 +0000
+++ xc/programs/xkbcomp/rules/Imakefile	2004-04-21 16:35:09.646522168 +0000
@@ -9,4 +9,5 @@
 InstallMultiple($(DATAFILES),$(LIBDIR)/xkb/rules)
 InstallMultiple($(LISTFILES),$(LIBDIR)/xkb/rules)
 InstallCreateLink($(LIBDIR)/xkb/rules,xorg,xfree86)
+InstallCreateLink($(LIBDIR)/xkb/rules,xorg.lst,xfree86.lst)
 DependTarget()
Comment 1 Alan Coopersmith 2004-05-30 05:08:01 UTC
It appears this may also fix some of the XKB errors people are seeing when logging
into the GNOME desktop.
Comment 2 Alan Coopersmith 2004-05-30 05:35:18 UTC
Thanks for the bug report and patch!

Fix committed to CVS head:

Log message:
  2004-05-29  Alan Coopersmith  <alan.coopersmith@sun.com>
  	* programs/xkbcomp/rules/Imakefile:
  	Bugzilla #531: missing xfree86.lst (Grzegorz DÄ…browski <gdx@poczta.fm>)

Modified files:
      ./:
        ChangeLog 
      xc/programs/xkbcomp/rules/:
        Imakefile 
  
  Revision      Changes    Path
  1.52          +5 -1      xc/ChangeLog
  1.3           +2 -1      xc/programs/xkbcomp/rules/Imakefile




Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.